> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/celo/eth_syncing-celo.md).

# eth\_syncing - Celo

The `eth_syncing` method returns an object with data about the sync status of the Celo node, or `false` if the node is fully synced. This is useful for monitoring node health and readiness.

## Parameters

* None

## Request Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://go.getblock.io/<ACCESS-TOKEN>/ \
-H "Content-Type: application/json" \
-d '{
  "jsonrpc": "2.0",
  "id": "getblock.io",
  "method": "eth_syncing",
  "params": []
}'
```

{% endtab %}

{% tab title="JavaScript (Axios)" %}

```javascript
const axios = require('axios');

const url = 'https://go.getblock.io/<ACCESS-TOKEN>/';

const payload = {
  jsonrpc: '2.0',
  id: 'getblock.io',
  method: 'eth_syncing',
  params: []
};

axios.post(url, payload, {
  headers: { 'Content-Type': 'application/json' }
})
.then(response => console.log(response.data))
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = {
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "method": "eth_syncing",
    "params": []
}

response = requests.post(url, headers={"Content-Type": "application/json"}, json=payload)
print(response.json())
```

{% endtab %}
{% endtabs %}

## Response Example

{% tabs %}
{% tab title="Synced" %}

```json
{
  "jsonrpc": "2.0",
  "id": "getblock.io",
  "result": false
}
```

{% endtab %}

{% tab title="Syncing" %}

```json
{
  "jsonrpc": "2.0",
  "id": "getblock.io",
  "result": {
    "startingBlock": "0x0",
    "currentBlock": "0x1d9f000",
    "highestBlock": "0x1d9f2a8"
  }
}
```

{% endtab %}
{% endtabs %}

## Response Definition

{% tabs %}
{% tab title="Synced" %}

| Field        | Type           | Description                              |
| ------------ | -------------- | ---------------------------------------- |
| result       | boolean/object | `false` if synced, or sync status object |
| {% endtab %} |                |                                          |

{% tab title="Syncing" %}

| Field         | Type   | Description                   |
| ------------- | ------ | ----------------------------- |
| startingBlock | string | Block at which sync started   |
| currentBlock  | string | Current block being processed |
| highestBlock  | string | Highest known block           |
| {% endtab %}  |        |                               |
| {% endtabs %} |        |                               |

## Use Cases

* Monitor node synchronization
* Check node health before sending transactions
* Implement health checks in applications

## Error Handling

| Error Code | Description    |
| ---------- | -------------- |
| -32603     | Internal error |

## SDK Integration

{% tabs %}
{% tab title="Ethers.js" %}

```javascript
const { ethers } = require('ethers');

const provider = new ethers.JsonRpcProvider('https://go.getblock.io/<ACCESS-TOKEN>/');

const syncStatus = await provider.send('eth_syncing', []);
console.log('Synced:', syncStatus === false);
```

{% endtab %}

{% tab title="ContractKit" %}

```javascript
const { newKit } = require('@celo/contractkit');

const kit = newKit('https://go.getblock.io/<ACCESS-TOKEN>/');

const syncing = await kit.web3.eth.isSyncing();
console.log('Syncing:', syncing);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/celo/eth_syncing-celo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
